Page MenuHomePhabricator

"More" menu in Vector is no longer accessible except by mouse hover
Closed, ResolvedPublic

Description

"More" menu in Vector is no longer accessible except by mouse hover. It should also be possible to open it by clicking it, or by keyboard.

Solution

The menu's <ul> was wrapped into a <div>: patch 589395 task T249372.

The checkbox hack's CSS selector needs to be updated with the new sibling.

QA Results - Beta

ACStatusDetails
1T255069#6222561
2T255069#6222561 PLEASE SEE NOTE

QA Results - Prod

ACStatusDetails
1T255069#6245066
2T255069#6245066 PLEASE SEE NOTE

Event Timeline

matmarex created this task.Jun 10 2020, 7:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2020, 7:54 PM
matmarex triaged this task as Unbreak Now! priority.Jun 10 2020, 7:59 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 10 2020, 8:00 PM

This has been deployed in wmf.34. Reported on May 30: T249372#6178392

Jdlrobson lowered the priority of this task from Unbreak Now! to High.Jun 10 2020, 9:19 PM

Not unbreak now status given wmf.34.

Duplicate of T254851?

Sounds reasonable, but that's not the case. On version 1.34.1 focus + SPACE toggles the checkbox, but not ENTER. This behavior did not change recently.

It should also be possible to open it by clicking it, or by keyboard.

The checkbox hack's CSS selector broke when the <ul> was wrapped into a <div>.
I have deja vu. Somewhere I've written this should be expected.

Demian updated the task description. (Show Details)

Change 605201 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] Fix dropdown menu checkbox hack's CSS selector

https://gerrit.wikimedia.org/r/605201

Change 605201 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Fix dropdown menu checkbox hack's CSS selector

https://gerrit.wikimedia.org/r/605201

Thanks, that makes it work for me locally again.

Edtadros reassigned this task from Edtadros to ovasileva.Jun 15 2020, 4:02 AM
Edtadros added a subscriber: Edtadros.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA steps

✅ AC1: "More" menu should expend when hovered over.


✅ AC2: More menu should be expanded by mouse click and keyboard

NOTE: While the More menu does expand when clicked or space is entered on the keyboard. When you click it and then click it to collapse again, even though the arrow switches to the uncollapsed state, the actual menu doesn't collapse.

Edtadros updated the task description. (Show Details)Jun 15 2020, 4:04 AM

When you click it [the More menu] and then click it to collapse again, even though the arrow switches to the uncollapsed state, the actual menu doesn't collapse.

Yes, that's an implementation shortcoming: the mouse is still hovering the menu thus it remains open until the mouse moves out. It's very weird, but it was like that for a very long time.

Edtadros claimed this task.Jun 15 2020, 5:11 PM
Edtadros added a subscriber: ovasileva.
Demian closed this task as Resolved.Jun 18 2020, 2:47 PM

wmf.37 reached group 2 on 2020-06-17.
This passes ad-hoc testing on enwiki, dewiki, enwikt, meta, mediawiki.
@Edtadros unless you want to do extra testing, I went ahead and boldly closed this.

Edtadros reassigned this task from Edtadros to ovasileva.Jun 22 2020, 4:09 PM

@Demian, thanks for taking the initiative, below are the documentation and test artifacts for the testing

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA steps

✅ AC1: "More" menu should expend when hovered over.


✅ AC2: More menu should be expanded by mouse click and keyboard

NOTE: While the More menu does expand when clicked or space is entered on the keyboard. When you click it and then click it to collapse again, even though the arrow switches to the uncollapsed state, the actual menu doesn't collapse.

Edtadros updated the task description. (Show Details)Jun 22 2020, 4:09 PM